// Arquivo de exemplo: ValidaXsd.cs
// Para compilar utilize: csc ValidaXsd.cs
using System;
using System.IO;
using System.Xml;
using System.Xml.Schema;

class validatar {
	public static void Main() {
		XmlSchemaSet sc = new XmlSchemaSet();
		sc.Add("xsdcadastro", @"C:\Livro\Capitulo22\cadastro.xsd");

		XmlReaderSettings set = new XmlReaderSettings();
		set.ValidationType = ValidationType.Schema;
		set.Schemas = sc;
		set.ValidationEventHandler += new ValidationEventHandler(ValidationCallBack);

		using (XmlReader r = XmlReader.Create(@"C:\Livro\Capitulo22\cadastro1.xml", set)) {
			while (r.Read()) ;
		}
		Console.WriteLine("Validação encerrada");
		Console.Read();	
	}

	private static void ValidationCallBack(object sender, ValidationEventArgs e) {
		Console.WriteLine(e.Message);
	}
}
